
<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

    <title>nl2declare package &#8212; NL2Declare  documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="_static/alabaster.css" />
    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
    <script src="_static/jquery.js"></script>
    <script src="_static/underscore.js"></script>
    <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
    <script src="_static/doctools.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="nl2declare.actmatching package" href="nl2declare.actmatching.html" />
    <link rel="prev" title="nl2declare" href="modules.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="nl2declare-package">
<h1>nl2declare package<a class="headerlink" href="#nl2declare-package" title="Permalink to this heading">¶</a></h1>
<section id="subpackages">
<h2>Subpackages<a class="headerlink" href="#subpackages" title="Permalink to this heading">¶</a></h2>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="nl2declare.actmatching.html">nl2declare.actmatching package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="nl2declare.actmatching.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="nl2declare.actmatching.html#module-nl2declare.actmatching.activity_matching_bert">nl2declare.actmatching.activity_matching_bert module</a></li>
<li class="toctree-l2"><a class="reference internal" href="nl2declare.actmatching.html#module-nl2declare.actmatching.activity_matching_word2vec">nl2declare.actmatching.activity_matching_word2vec module</a></li>
<li class="toctree-l2"><a class="reference internal" href="nl2declare.actmatching.html#module-nl2declare.actmatching">Module contents</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="nl2declare.application.html">nl2declare.application package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="nl2declare.application.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="nl2declare.application.html#module-nl2declare.application.d4py">nl2declare.application.d4py module</a></li>
<li class="toctree-l2"><a class="reference internal" href="nl2declare.application.html#module-nl2declare.application">Module contents</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="nl2declare.constructs.html">nl2declare.constructs package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="nl2declare.constructs.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="nl2declare.constructs.html#module-nl2declare.constructs.action">nl2declare.constructs.action module</a></li>
<li class="toctree-l2"><a class="reference internal" href="nl2declare.constructs.html#module-nl2declare.constructs.constraint_type">nl2declare.constructs.constraint_type module</a></li>
<li class="toctree-l2"><a class="reference internal" href="nl2declare.constructs.html#module-nl2declare.constructs.declare_constraint">nl2declare.constructs.declare_constraint module</a></li>
<li class="toctree-l2"><a class="reference internal" href="nl2declare.constructs.html#module-nl2declare.constructs.declare_model">nl2declare.constructs.declare_model module</a></li>
<li class="toctree-l2"><a class="reference internal" href="nl2declare.constructs.html#module-nl2declare.constructs.interrelation">nl2declare.constructs.interrelation module</a></li>
<li class="toctree-l2"><a class="reference internal" href="nl2declare.constructs.html#module-nl2declare.constructs.noun_phrase">nl2declare.constructs.noun_phrase module</a></li>
<li class="toctree-l2"><a class="reference internal" href="nl2declare.constructs.html#module-nl2declare.constructs.relation_type">nl2declare.constructs.relation_type module</a></li>
<li class="toctree-l2"><a class="reference internal" href="nl2declare.constructs.html#module-nl2declare.constructs.text_model">nl2declare.constructs.text_model module</a></li>
<li class="toctree-l2"><a class="reference internal" href="nl2declare.constructs.html#module-nl2declare.constructs">Module contents</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="nl2declare.evaluation.html">nl2declare.evaluation package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="nl2declare.evaluation.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="nl2declare.evaluation.html#module-nl2declare.evaluation.evaluator">nl2declare.evaluation.evaluator module</a></li>
<li class="toctree-l2"><a class="reference internal" href="nl2declare.evaluation.html#module-nl2declare.evaluation">Module contents</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="nl2declare.lingproc.html">nl2declare.lingproc package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="nl2declare.lingproc.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="nl2declare.lingproc.html#module-nl2declare.lingproc.declare_constructor">nl2declare.lingproc.declare_constructor module</a></li>
<li class="toctree-l2"><a class="reference internal" href="nl2declare.lingproc.html#module-nl2declare.lingproc.text_parser">nl2declare.lingproc.text_parser module</a></li>
<li class="toctree-l2"><a class="reference internal" href="nl2declare.lingproc.html#module-nl2declare.lingproc">Module contents</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="nl2declare.test.html">nl2declare.test package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="nl2declare.test.html#subpackages">Subpackages</a><ul>
<li class="toctree-l3"><a class="reference internal" href="nl2declare.test.lingproc.html">nl2declare.test.lingproc package</a><ul>
<li class="toctree-l4"><a class="reference internal" href="nl2declare.test.lingproc.html#submodules">Submodules</a></li>
<li class="toctree-l4"><a class="reference internal" href="nl2declare.test.lingproc.html#module-nl2declare.test.lingproc.test_declare_constructor">nl2declare.test.lingproc.test_declare_constructor module</a></li>
<li class="toctree-l4"><a class="reference internal" href="nl2declare.test.lingproc.html#module-nl2declare.test.lingproc.test_text_parser">nl2declare.test.lingproc.test_text_parser module</a></li>
<li class="toctree-l4"><a class="reference internal" href="nl2declare.test.lingproc.html#module-nl2declare.test.lingproc">Module contents</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="nl2declare.test.utils.html">nl2declare.test.utils package</a><ul>
<li class="toctree-l4"><a class="reference internal" href="nl2declare.test.utils.html#submodules">Submodules</a></li>
<li class="toctree-l4"><a class="reference internal" href="nl2declare.test.utils.html#module-nl2declare.test.utils.test_io">nl2declare.test.utils.test_io module</a></li>
<li class="toctree-l4"><a class="reference internal" href="nl2declare.test.utils.html#module-nl2declare.test.utils.test_wordclasses">nl2declare.test.utils.test_wordclasses module</a></li>
<li class="toctree-l4"><a class="reference internal" href="nl2declare.test.utils.html#module-nl2declare.test.utils">Module contents</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="nl2declare.test.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="nl2declare.test.html#module-nl2declare.test.test__main__">nl2declare.test.test__main__ module</a></li>
<li class="toctree-l2"><a class="reference internal" href="nl2declare.test.html#module-nl2declare.test">Module contents</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="nl2declare.utils.html">nl2declare.utils package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="nl2declare.utils.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="nl2declare.utils.html#module-nl2declare.utils.io">nl2declare.utils.io module</a></li>
<li class="toctree-l2"><a class="reference internal" href="nl2declare.utils.html#module-nl2declare.utils.word_classes">nl2declare.utils.word_classes module</a></li>
<li class="toctree-l2"><a class="reference internal" href="nl2declare.utils.html#module-nl2declare.utils">Module contents</a></li>
</ul>
</li>
</ul>
</div>
</section>
<section id="module-nl2declare">
<span id="module-contents"></span><h2>Module contents<a class="headerlink" href="#module-nl2declare" title="Permalink to this heading">¶</a></h2>
<dl class="py function">
<dt class="sig sig-object py" id="nl2declare.conformance_checking">
<span class="sig-prename descclassname"><span class="pre">nl2declare.</span></span><span class="sig-name descname"><span class="pre">conformance_checking</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">textstring</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">xes_log</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare.html#conformance_checking"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.conformance_checking" title="Permalink to this definition">¶</a></dt>
<dd><p>Conformance_checking:</p>
<dl class="simple">
<dt>Parameters:</dt><dd><ul class="simple">
<li><p>textstring (str): A text string containing sentences to be processed.</p></li>
<li><p>event_log (str): …</p></li>
</ul>
</dd>
</dl>
<p>Returns:</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="nl2declare.create_constraint_set_from_text">
<span class="sig-prename descclassname"><span class="pre">nl2declare.</span></span><span class="sig-name descname"><span class="pre">create_constraint_set_from_text</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">textstring</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">event_log</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare.html#create_constraint_set_from_text"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.create_constraint_set_from_text" title="Permalink to this definition">¶</a></dt>
<dd><p>Create_constraint_set_from_text: Extracts declare constraints out of a text.</p>
<p>This function takes a text string (<cite>textstring</cite>) and an event log. If the event log has a column “Concept:Name” , the activites 
from the constraints are matched with those labels.The found declare constraints are returned in a set.</p>
<dl class="simple">
<dt>Parameters:</dt><dd><ul class="simple">
<li><p>textstring (str): A text string containing sentences to be processed.</p></li>
<li><p>event_log (str): The target_activity_event_log log for processing or an empty string.</p></li>
</ul>
</dd>
<dt>Returns:</dt><dd><ul class="simple">
<li><p>Set of found declare_constraints</p></li>
</ul>
</dd>
<dt>Notes:</dt><dd><ul class="simple">
<li><p>The target_activity_event_log can be empty</p></li>
<li><p>If the target_activity_event_log is not empty, all labels that should be matched need to be i a column called “Concept:Name”</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="nl2declare.get_activities_from_event_log">
<span class="sig-prename descclassname"><span class="pre">nl2declare.</span></span><span class="sig-name descname"><span class="pre">get_activities_from_event_log</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">xes_file</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare.html#get_activities_from_event_log"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.get_activities_from_event_log" title="Permalink to this definition">¶</a></dt>
<dd><p>get_activities_from_event_log: Produces a unique list of activities extracted from an event log.</p>
<p>Parameters:
- xes_file (str): A xes file as string.</p>
<p>Returns:
- list of unique activities from the column “concept:name”</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="nl2declare.run_on_csv">
<span class="sig-prename descclassname"><span class="pre">nl2declare.</span></span><span class="sig-name descname"><span class="pre">run_on_csv</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">csv_as_string</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">target_activity_event_log</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare.html#run_on_csv"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.run_on_csv" title="Permalink to this definition">¶</a></dt>
<dd><p>run_on_csv: Extracts declare constraints out of a CSV file.</p>
<p>This function takes a CSV-formatted string (<cite>csv_as_string</cite>) out of the column “Used Constraint” and an
event log. If the column does not exist, empty lists are returned. Else  (nodes,edges). If the event log has a column “Concept:Name” , the activites 
from the constraints are matched with those labels. As third element also a .decl file of the constraints is returned.</p>
<dl class="simple">
<dt>Parameters:</dt><dd><ul class="simple">
<li><p>csv_as_string (str): A CSV-formatted string containing data to be processed.</p></li>
<li><p>target_activity_event_log (str): The target_activity_event_log log for processing or an empty string.</p></li>
</ul>
</dd>
<dt>Returns:</dt><dd><ul class="simple">
<li><p>Nodes: All actions from the found constraints as nodes for a declare graph</p></li>
<li><p>Edges: All relations from the found constraints as edges for a declare graph</p></li>
<li><p>.decl file: The found declare constraints as d4py file (.decl). This file can be used for further examinations using d4py.</p></li>
</ul>
</dd>
<dt>Notes:</dt><dd><ul class="simple">
<li><p>If the “Used constraint” column is not present, an empty tuple is returned.</p></li>
<li><p>The target_activity_event_log can be empty</p></li>
<li><p>If the target_activity_event_log is not empty, all labels that should be matched need to be i a column called “Concept:Name”</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="nl2declare.run_on_text">
<span class="sig-prename descclassname"><span class="pre">nl2declare.</span></span><span class="sig-name descname"><span class="pre">run_on_text</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">textstring</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">target_activity_event_log</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare.html#run_on_text"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.run_on_text" title="Permalink to this definition">¶</a></dt>
<dd><p>run_on_text: Extracts declare constraints out of a text.</p>
<p>This function takes a text string (<cite>textstring</cite>) and an event log. If the event log has a column “Concept:Name” , the activites 
from the constraints are matched with those labels. The found declare constraints from the text are returned in a graph format. 
As third element also a .decl file of the constraints is returned.</p>
<dl class="simple">
<dt>Parameters:</dt><dd><ul class="simple">
<li><p>textstring (str): A text string containing sentences to be processed.</p></li>
<li><p>target_activity_event_log (str): The target_activity_event_log log for processing or an empty string.</p></li>
</ul>
</dd>
<dt>Returns:</dt><dd><ul class="simple">
<li><p>Nodes: All actions from the found constraints as nodes for a declare graph</p></li>
<li><p>Edges: All relations from the found constraints as edges for a declare graph</p></li>
<li><p>.decl file: The found declare constraints as d4py file (.decl). This file can be used for further examinations using d4py.</p></li>
</ul>
</dd>
<dt>Notes:</dt><dd><ul class="simple">
<li><p>The target_activity_event_log can be empty</p></li>
<li><p>If the target_activity_event_log is not empty, all labels that should be matched need to be i a column called “Concept:Name”</p></li>
</ul>
</dd>
</dl>
</dd></dl>

</section>
</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="index.html">NL2Declare</a></h1>








<h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="modules.html">nl2declare</a><ul class="current">
<li class="toctree-l2 current"><a class="current reference internal" href="#">nl2declare package</a></li>
</ul>
</li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="index.html">Documentation overview</a><ul>
  <li><a href="modules.html">nl2declare</a><ul>
      <li>Previous: <a href="modules.html" title="previous chapter">nl2declare</a></li>
      <li>Next: <a href="nl2declare.actmatching.html" title="next chapter">nl2declare.actmatching package</a></li>
  </ul></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2024, Pia Halkour, Marc Ludevid Wulf, Julian Kofferath.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 5.0.2</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.12</a>
      
      |
      <a href="_sources/nl2declare.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>